Package org.apache.ignite.mxbean

## Interface BaselineAutoAdjustMXBean

-     public interface BaselineAutoAdjustMXBean

  This interface defines JMX view on `DistributedBaselineConfiguration`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getAutoAdjustmentTimeout()` |
    `String` | `getTaskState()` |
    `long` | `getTimeUntilAutoAdjust()` | Deprecated. Use managements API beans, instead.
    `boolean` | `isAutoAdjustmentEnabled()` | Deprecated. Use managements API beans, instead.
    `void` | `setAutoAdjustmentEnabled​(boolean enabled)` | Deprecated. Use managements API beans, instead.
    `void` | `setAutoAdjustmentTimeout​(long timeout)` | Deprecated. Use managements API beans, instead.

- - ### Method Detail

    - #### isAutoAdjustmentEnabled

          @Deprecated
          @MXBeanDescription("Whether baseline autoadjustment is enabled ot not.")
          boolean isAutoAdjustmentEnabled()

      Deprecated.
      Use managements API beans, instead.
      Returns:
        Whether baseline autoadjustment is enabled ot not.
      See Also:
        `CommandMBean`

    - #### getAutoAdjustmentTimeout

          @MXBeanDescription("Baseline autoadjustment timeout value.")
          long getAutoAdjustmentTimeout()

      Returns:
        Baseline autoadjustment timeout value.

    - #### getTimeUntilAutoAdjust

          @MXBeanDescription("Time until baseline will be adjusted automatically.")
          long getTimeUntilAutoAdjust()

      Deprecated.
      Use managements API beans, instead.
      Returns:
        Time until baseline will be adjusted automatically.
      See Also:
        `CommandMBean`

    - #### getTaskState

          @MXBeanDescription("State of task of auto-adjust(IN_PROGRESS, SCHEDULED, NOT_SCHEDULED).")
          String getTaskState()

      Returns:
        State of task of auto-adjust.

    - #### setAutoAdjustmentEnabled

          @Deprecated
          @MXBeanDescription("Enable/disable baseline autoadjustment feature.")
          void setAutoAdjustmentEnabled​(@MXBeanParameter(name="enabled",description="Enable/disable flag.")
                                        boolean enabled)

      Deprecated.
      Use managements API beans, instead.
      Parameters:
        `enabled` - Enable/disable baseline autoadjustment flag.
      See Also:
        `CommandMBean`

    - #### setAutoAdjustmentTimeout

          @Deprecated
          @MXBeanDescription("Set baseline autoadjustment timeout value.")
          void setAutoAdjustmentTimeout​(@MXBeanParameter(name="timeout",description="Timeout value.")
                                        long timeout)

      Deprecated.
      Use managements API beans, instead.
      Parameters:
        `timeout` - Timeout value.
      See Also:
        `CommandMBean`